#include "ch32v30x_it.h"

#define __IRQ       __attribute__((interrupt()))
#define __IRQ_WEAK  __attribute__((interrupt(), weak))
#define __IRQ_NAKED __attribute__((naked))

/**
 * FreeRTOS supports both non-vectored and vectored exception model.
 * For non-vectored exception, use `freertos_risc_v_trap_handler`,
 * this function will determine the type of current exception.
 * For vectored exception, use `freertos_risc_v_exception_handler`,
 * and use `freertos_risc_v_mtimer_interrupt_handler` for timer interrupt.
 *
 */

__IRQ void HardFault_Handler(void) {
    for (;;) {
        /* Emmmmmmmmm? */
    }
}
